<script setup lang="ts">
import { RouterView } from 'vue-router';
import { JApp } from '@new-jira-clone/ui/src/components';
import AuthApp from 'Auth/AuthApp';
import useDisableContextMenu from './composables/useDisableContextMenu';

useDisableContextMenu();
</script>

<template>
  <AuthApp v-slot="authProps">
    <component
      v-bind="authProps"
      :is="$route.meta.layout || 'div'"
    >
      <RouterView />
    </component>
  </AuthApp>

  <JApp />
</template>
